Subject: bug#66394: 29.1; Make register-read-with-preview more useful

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Dec 2023 14:30:04 +0200

> From: Thierry Volpiatto <[email-masked]>
> Cc: [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Mon, 11 Dec 2023 09:30:50 +0000
> 
> here the last patch that provide Emacs-29 previous behavior as asked on emacs-dev,
> I made it the default for now.
> The only customization one have to do to make a change is through
> register-use-preview which have now three options:
> 
> - basic (default - same as Emacs-29- )
> - nil (simple preview with filtering, default and no confirm)
> - never (same as nil but without any preview)
> - t  (the improved version with navigation etc...)
> 
> I don't know if you want to restore previous behavior (emacs-29), if so this patch
> will apply against the previous one.
> (0001-Don-t-confirm-with-RET-even-when-overwriting-in-regi.patch).

Thank you for all your efforts in this matter.

I asked on emacs-devel that people try this and your previous
proposal, and provide opinions.  (Those CC'ed here are also invited,
of course.)  Let's wait for their responses for a couple of days
before we make the decision how to proceed.